.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH A2ENSITE 8 "8 June 2007"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
a2ensite, a2dissite \- enable or disable an apache2 site / virtual host
.SH SYNOPSIS
.B a2ensite
[ [\-q|\-\-quiet]
.IR site ]
.PP
.B a2dissite
[ [\-q|\-\-quiet]
.IR site ]
.SH DESCRIPTION
This manual page documents briefly the
.B a2ensite
and
.B a2dissite
commands.
.PP
.B a2ensite
is a script that enables the specified site (which contains a <VirtualHost> block) within the
.B apache2
configuration.  It does this by creating symlinks within
.BR /etc/apache2/sites-enabled .
Likewise,
.B a2dissite
disables a site by removing those symlinks.  It is not an error to
enable a site which is already enabled, or to disable one which is
already disabled.
.PP
Apache treats the very first virtual host enabled specially as every request not
matching any actual directive is being redirected there. Thus it should be called
.B default
in order to sort before the remaining hosts to be loaded first.
.SH OPTIONS
.TP
.B \-q, \-\-quiet
Don't show informative messages.
.TP
.B \-m, \-\-maintmode
Enables the maintainer mode, that is the program invocation is effectuated
automatically by a maintainer script. This switch should not be used by end
users.
.TP
.B \-p, \-\-purge
When disabling a module, purge all traces of the module in the internal state
data base.
.SH "EXIT STATUS"
.B a2ensite
and
.B a2dissite
exit with status 0 if all
.IR site s
are processed successfully, 1 if errors occur, 2 if an invalid option was used.
.SH EXAMPLES
.RS
.B "a2dissite default"
.RE
.PP
Disables the
.B default
site.
.SH FILES
.TP
.B /etc/apache2/sites-available
Directory with files giving information on available sites.
.TP
.B /etc/apache2/sites-enabled
Directory with links to the files in
.B sites-available
for enabled sites.
.SH "SEE ALSO"
.BR apache2ctl (8).
.SH AUTHOR
This manual page was written by Stefan Fritsch <sf@debian.org> (based on the a2enmod manual
page by Daniel Stone <daniel@sfarc.net>) for the Debian GNU/Linux distribution.
